=head1 NAME

virt-pki-validate - validate libvirt PKI files are configured correctly

=head1 SYNOPSIS

B<virt-pki-validate> [I<OPTION>]

=head1 DESCRIPTION

This tool validates that the necessary PKI files are configured for
a secure libvirt server or client using the TLS encryption protocol.
It will report any missing certificate or key files on the host. It
should be run as root to ensure it can read all the necessary files

=head1 OPTIONS

=over

=item B<-h, --help>

Display command line help usage then exit.

=item B<-V, --version>

Display version information then exit.

=back

=head1 EXIT STATUS

Upon successful validation, an exit status of 0 will be set. Upon
failure a non-zero status will be set.

=head1 AUTHOR

Richard Jones

=head1 BUGS

Report any bugs discovered to the libvirt community via the
mailing list L<https://libvirt.org/contact.html> or bug tracker
L<https://libvirt.org/bugs.html>.
Alternatively report bugs to your software distributor / vendor.

=head1 COPYRIGHT

Copyright (C) 2006-2012 by Red Hat, Inc.

=head1 LICENSE

virt-pki-validate is distributed under the terms of the GNU GPL v2+.
This is free software; see the source for copying conditions. There
is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE

=head1 SEE ALSO

L<virsh(1)>, online PKI setup instructions L<https://libvirt.org/remote.html>

=cut
